/// <reference types="react" />
import { SvgConfig } from "@root/core/svgs";
import { APIMessage } from "discord-api-types/v10";
export type PartialSvgConfig = Partial<SvgConfig>;
export interface MessageButtonListOption<SC extends PartialSvgConfig> {
    onClick: () => void;
    icon: keyof SC;
    actionDescription: string;
}
export type Config<SvgConfig extends PartialSvgConfig> = {
    svgUrls?: SvgConfig;
    messageButtons?(message: APIMessage): MessageButtonListOption<SvgConfig>[];
};
export declare const ConfigContext: import("react").Context<Config<Partial<SvgConfig>>>;
export declare function useConfig(): Config<Partial<SvgConfig>>;
